jQuery.sap.require("sap.ui.qunit.qunit-css");
jQuery.sap.require("sap.ui.thirdparty.qunit");
jQuery.sap.require("sap.ui.qunit.qunit-junit");
QUnit.config.autostart = false;

// We cannot provide stable mock data out of the template.
// If you introduce mock data, by adding .json files in your webapp/localService/mockdata folder you have to provide the following minimum data:
// * At least 3 ProjectMainSet in the list
// * All 3 ProjectMainSet have at least one ProjectMockup

sap.ui.require([
	"sap/ui/test/Opa5",
	"kodyaz/com/test/integration/pages/Common",
	"sap/ui/test/opaQunit",
	"kodyaz/com/test/integration/pages/App",
	"kodyaz/com/test/integration/pages/Browser",
	"kodyaz/com/test/integration/pages/Master",
	"kodyaz/com/test/integration/pages/Detail",
	"kodyaz/com/test/integration/pages/NotFound"
], function (Opa5, Common) {
	"use strict";
	Opa5.extendConfig({
		arrangements: new Common(),
		viewNamespace: "kodyaz.com.view."
	});

	sap.ui.require([
		"kodyaz/com/test/integration/MasterJourney",
		"kodyaz/com/test/integration/NavigationJourney",
		"kodyaz/com/test/integration/NotFoundJourney",
		"kodyaz/com/test/integration/BusyJourney"
	], function () {
		QUnit.start();
	});
});